Classes | Namespaces | Functions
StarObjectPageStyle.cxx File Reference
`#include <cstring>`
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <set>`
`#include <sstream>`
`#include <librevenge/librevenge.h>`
`#include "StarObjectPageStyle.hxx"`
`#include "STOFFListener.hxx"`
`#include "STOFFPageSpan.hxx"`
`#include "StarAttribute.hxx"`
`#include "StarFormatManager.hxx"`
`#include "StarItemPool.hxx"`
`#include "StarObject.hxx"`
`#include "StarState.hxx"`
`#include "StarWriterStruct.hxx"`
`#include "StarZone.hxx"`
`#include "SWFieldManager.hxx"`

## Classes
struct | StarObjectPageStyleInternal::NoteDesc
| structure to store a endnote/footnote page description More...
struct | StarObjectPageStyleInternal::PageDesc
| structure to store a page description More...
struct | StarObjectPageStyleInternal::State
| Internal: the state of a StarObjectPageStyle. More...

## Namespaces
namespace | StarObjectPageStyleInternal
| Internal: the structures of a StarObjectPageStyle.

## Functions
std::ostream & | StarObjectPageStyleInternal::operator<< (std::ostream &o, NoteDesc const &desc)
std::ostream & | StarObjectPageStyleInternal::operator<< (std::ostream &o, PageDesc const &desc)